Bullet Collision Detection & Physics Library: btDeformableGravityForce Class Reference

Bullet Collision Detection & Physics Library

Public Types | Public Member Functions | Public Attributes | List of all members
btDeformableGravityForce Class Reference

`#include <btDeformableGravityForce.h>`

Inheritance diagram for btDeformableGravityForce:
[legend]
Collaboration diagram for btDeformableGravityForce:
[legend]

## Public Types
typedef btAlignedObjectArray< btVector3 > | TVStack
Public Types inherited from btDeformableLagrangianForce
typedef btAlignedObjectArray< btVector3 > | TVStack

## Public Member Functions
| btDeformableGravityForce (const btVector3 &g)
virtual void | addScaledForces (btScalar scale, TVStack &force)
virtual void | addScaledExplicitForce (btScalar scale, TVStack &force)
virtual void | addScaledDampingForce (btScalar scale, TVStack &force)
virtual void | addScaledElasticForceDifferential (btScalar scale, const TVStack &dx, TVStack &df)
virtual void | addScaledDampingForceDifferential (btScalar scale, const TVStack &dv, TVStack &df)
virtual void | buildDampingForceDifferentialDiagonal (btScalar scale, TVStack &diagA)
virtual void | addScaledGravityForce (btScalar scale, TVStack &force)
virtual btDeformableLagrangianForceType | getForceType ()
virtual double | totalEnergy (btScalar dt)
Public Member Functions inherited from btDeformableLagrangianForce
| btDeformableLagrangianForce ()
virtual | ~btDeformableLagrangianForce ()
virtual void | addScaledHessian (btScalar scale)
virtual void | reinitialize (bool nodeUpdated)
virtual int | getNumNodes ()
virtual void | addSoftBody (btSoftBody *psb)
virtual void | removeSoftBody (btSoftBody *psb)
virtual void | setIndices (const btAlignedObjectArray< btSoftBody::Node * > *nodes)
virtual btMatrix3x3 | Ds (int id0, int id1, int id2, int id3, const TVStack &dx)
virtual btMatrix3x3 | DsFromVelocity (const btSoftBody::Node *n0, const btSoftBody::Node *n1, const btSoftBody::Node *n2, const btSoftBody::Node *n3)
virtual void | testDerivative ()
virtual void | testHessian ()
virtual double | totalElasticEnergy (btScalar dt)
virtual double | totalDampingEnergy (btScalar dt)

## Public Attributes
btVector3 | m_gravity
Public Attributes inherited from btDeformableLagrangianForce
btAlignedObjectArray< btSoftBody * > | m_softBodies
const btAlignedObjectArray< btSoftBody::Node * > * | m_nodes

## Detailed Description

Definition at line 21 of file btDeformableGravityForce.h.

## Member Typedef Documentation

## ◆ TVStack

typedef btAlignedObjectArray<btVector3> btDeformableGravityForce::TVStack

Definition at line 24 of file btDeformableGravityForce.h.

## Constructor & Destructor Documentation

## ◆ btDeformableGravityForce()

btDeformableGravityForce::btDeformableGravityForce | ( | const btVector3 & | g | ) |
| inline

Definition at line 27 of file btDeformableGravityForce.h.

## Member Function Documentation

## ◆ addScaledDampingForce()

virtual void btDeformableGravityForce::addScaledDampingForce | ( | btScalar | scale,
|  | TVStack & | force )
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 41 of file btDeformableGravityForce.h.

## ◆ addScaledDampingForceDifferential()

virtual void btDeformableGravityForce::addScaledDampingForceDifferential | ( | btScalar | scale,
|  | const TVStack & | dv,
|  | TVStack & | df )
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 49 of file btDeformableGravityForce.h.

## ◆ addScaledElasticForceDifferential()

virtual void btDeformableGravityForce::addScaledElasticForceDifferential | ( | btScalar | scale,
|  | const TVStack & | dx,
|  | TVStack & | df )
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 45 of file btDeformableGravityForce.h.

## ◆ addScaledExplicitForce()

virtual void btDeformableGravityForce::addScaledExplicitForce | ( | btScalar | scale,
|  | TVStack & | force )
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 36 of file btDeformableGravityForce.h.

## ◆ addScaledForces()

virtual void btDeformableGravityForce::addScaledForces | ( | btScalar | scale,
|  | TVStack & | force )
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 31 of file btDeformableGravityForce.h.

## ◆ addScaledGravityForce()

virtual void btDeformableGravityForce::addScaledGravityForce | ( | btScalar | scale,
|  | TVStack & | force )
| inlinevirtual

Definition at line 55 of file btDeformableGravityForce.h.

## ◆ buildDampingForceDifferentialDiagonal()

virtual void btDeformableGravityForce::buildDampingForceDifferentialDiagonal | ( | btScalar | scale,
|  | TVStack & | diagA )
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 53 of file btDeformableGravityForce.h.

## ◆ getForceType()

virtual btDeformableLagrangianForceType btDeformableGravityForce::getForceType | ( |  | ) |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 77 of file btDeformableGravityForce.h.

## ◆ totalEnergy()

virtual double btDeformableGravityForce::totalEnergy | ( | btScalar | dt | ) |
| inlinevirtual

Reimplemented from btDeformableLagrangianForce.

Definition at line 83 of file btDeformableGravityForce.h.

## Member Data Documentation

## ◆ m_gravity

btVector3 btDeformableGravityForce::m_gravity

Definition at line 25 of file btDeformableGravityForce.h.

The documentation for this class was generated from the following file:

- btDeformableGravityForce.h